Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QSlider.TickPosition

    java.lang.Object
      java.lang.Enum<QSlider.TickPosition>
          com.trolltech.qt.gui.QSlider.TickPosition

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSlider.TickPosition>

Enclosing class:
  QSlider

    public static enum QSlider.TickPosition

extends java.lang.Enum<QSlider.TickPosition>
implements QtEnumerator

This enum specifies where the tick marks are to be drawn relative to the slider's groove and the handle the user moves.

Enum Constant Summary
`NoTicks` Do not draw any tick marks.
`TicksAbove` Draw tick marks above the (horizontal) slider
`TicksBelow` Draw tick marks below the (horizontal) slider
`TicksBothSides` Draw tick marks on both sides of the groove.

Method Summary
`static QSlider.TickPosition` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSlider.TickPosition` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSlider.TickPosition[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoTicks

    public static final QSlider.TickPosition NoTicks

  Do not draw any tick marks.

### TicksAbove

    public static final QSlider.TickPosition TicksAbove

  Draw tick marks above the (horizontal) slider

### TicksBelow

    public static final QSlider.TickPosition TicksBelow

  Draw tick marks below the (horizontal) slider

### TicksBothSides

    public static final QSlider.TickPosition TicksBothSides

  Draw tick marks on both sides of the groove.

Method Detail

### values

    public static final QSlider.TickPosition[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSlider.TickPosition c : QSlider.TickPosition.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSlider.TickPosition valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSlider.TickPosition resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD